Jump to content
J. Danse

Module pour "Patch" après mise à jour

Recommended Posts

Bonjour J.Danse,

 

Merci, mais tu ne donnes pas d'information comment appliquer le patch...

Je suppose qu'il faut mettre le dossier patch dans le dossier de prestashop et ensuite d'exécuter la commande http://www.site.com/prestashop/patch/

 

Je l'ai fait chez moi, mais je n'y ai pas vu d"effet.

Edited by btsconsult (see edit history)

Share this post


Link to post
Share on other sites

Est-ce que cela corrige les problèmes d'url avec les accents qui sont tout simplement pas gérés par la 1.5.3 ?

Share this post


Link to post
Share on other sites

Bonjour,

 

Le "patch" est un module classique. Je viens de le modifier pour ne pas provoquer d'erreurs (si le patch est déjà appliqué, auparavant).

 

Il vous suffit de l'installer et celui génère les patchs désirés. Lors d'une mise à jour, il suffira de remplacer le module complétement et il gérera tout seul.

 

Actuellement, seul le listing dans le premier post est gérer.

Share this post


Link to post
Share on other sites

J'ai cette erreur quand je tente de l'installer.

[PrestaShop] Fatal error in module patch:
syntax error, unexpected ')', expecting T_VARIABLE

Share this post


Link to post
Share on other sites

Allez savoir ce que j'ai trafiqué avec ce truc, ... J'ai réglé le soucis. Cela devrait aller :)

Share this post


Link to post
Share on other sites

Arg je n'arrive pas à trouver cet issue dans la forge. Ton patch règle quels soucis exactement stp J.Danse ?

  • Les "Le champ URL simplifiée (english, italian, ....) est invalide"
  • Les erreurs de type "product()" à l'édition d'un produit non accentué ?
  • D'autres encore dont je ne m'étais pas aperçue ? ^^

Je suis repassée en 1.5.2, mais cela m’embête de ne pouvoir réécrire les URL manuellement. En tout cas merci de ton intervention. J'attends ta réponse pour retenter ma chance en 1.5.3

 

MErci

 

 

EDIT :

Bon une fois loguée (ahem..) j'ai tout de suite mieux trouvé l'issue dans la forge.

Si je comprends bien ton patch résout donc l'erreur : An error occurred while updating object. product () et pas mes histoires de langues étrangères >< snif !

Edited by Lilhouh (see edit history)

Share this post


Link to post
Share on other sites

J'ai installer le patch , et j'ai toujours l'erreur "

Ce champ URL simplifiée (Français (French)) est invalide."

 

Math

Share this post


Link to post
Share on other sites

Ce patch ne gère pas cette erreur. Il semblerait que la 1.5.3 corrige le soucis des accents dans l'url (pour le SEO). Votre produit comporte-t-il des accents ?

Share this post


Link to post
Share on other sites

Le probleme que j'ai est que dans les mots comportant un accent comme élève se transforment en lve ce qui ne veut rein dire. C'est comme si on avait americanisé prestashop.

 

Cordialement

Share this post


Link to post
Share on other sites

Le soucis, c'est qu'avant, on acceptait les accents dans les URL. Plus maintenant. Alors, oui, le soucis maintenant est que les accents ne doivent pas être supprimé mais remplacé. :)

Share this post


Link to post
Share on other sites

Bonjour à tous

 

J'ai comme lilhouh le même problème comme mes noms de produits sont en langue arabe (avec l'ancienne version il n'y avait pas de souci) l'URL simplifiée se met en erreur

 

De plus j'ai un souci également pour la création de fiches produits (voir en PJ)

 

 

Merci d'avance si vous trouvez une solution

 

PS je suis un novice alors merci de me fournir une réponse détaillée

 

merci de votre compréhension

post-448356-0-34011100-1357061989_thumb.jpg

post-448356-0-76867700-1357062001_thumb.jpg

Share this post


Link to post
Share on other sites

Pas de solution officielle non. Contrairement à ce que la forge affirme dans les tickets que j'ai créé. Tu bosses sous quelle version ?

La forge dit "probleme réglé en 1.5.3.1". Mais d'autres utilisateurs me disent que non.

Je suis repassée en 1.5.2 en attendant une vraie 1.5.3 stable (avec malgré tout les soucis que l'on connait à la 1.5.2...)

M'enfin

Share this post


Link to post
Share on other sites

Bonjour,

Rencontrant le même problème j'ai installé le module, mais rien ne se passe côté produits.

Faut-il l'activer le module ? si oui pouvez-vous me dire ou il se trouve et son nom car je n'ai rien trouvé de ce côté.

Merci pour votre aide.

Share this post


Link to post
Share on other sites

Bonjour,

Il faut activer le module, oui. Il s'appelle "Patch", et est édité par "PrestaEdit".

 

Par contre, la version 1.5.3.1 règle l'ensemble des soucis corrigés par ce patch.

Share this post


Link to post
Share on other sites

Bonjour,

Moi je suis en 1.5.2 et j'ai le même problème mais je ne souhaite pas migrer vers la 1.3.1 avec tous les soucis que j'ai déjà je ne veux pas en ajouter d'autre , alors la question est ce que ton patch est adapté à la 1.5.2?

 

Cordialement;

Share this post


Link to post
Share on other sites

Bonjour

 

je suis passer du 1.3 au 1.5.3 et j'ai ce même problème de "Une erreur s'est produite pendant la mise à jour de l'objet. product ()"

j'ai fait le changement dans phpmyadmin et utiliser le patch rien à faire le problème persiste.

et quand j'essaie de d'activer ou désactiver un produit à partir de la liste, j'ai cette erreur "Une erreur s'est produite pendant la mise à jour de l'état."

 

une idée?

Share this post


Link to post
Share on other sites

Bonjour à tous, 

 

suite à MAJ en 1.5.5. j'ai le message "Une erreur s'est produite pendant la mise à jour de l'objet. product ()" et l'impossibilité de modifier/créer le produits. J'ai ouvert un topic ici mais pour le moment, pas de solution sûre.

 

J.Danse, avez-vous adapté votre patch à la version 1.5.5. ?

 

Merci de vos réponses

Edited by BubbleWorld (see edit history)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More